Subject: Re: [PATCH 00/95] PHP package chain.

From: Wilko Meyer <[email-masked]>
Date: Sun, 14 Jul 2024 02:28:19 +0200

Wilko Meyer <[email-masked]> writes:
> Nicolas offered some suggestions that may fix the build errors I've
> encountered some time ago. So I'll try that and send feedback
> afterwards.

Found time to do so a few hours later and was able to build phpunit
succesfully from it:

(~/devel/guix) λ ./pre-inst-env guix shell phpunit
wilko@optiplex ~/devel/guix [env]$ phpunit --version
PHPUnit 9.6.10 by Sebastian Bergmann and contributors.

Tried building a few other packages from this series,
e.g. php-doctrine-common, as well:

successfully built /gnu/store/fq0z825ng9hkfz834b80kjvyv74q3pag-php-doctrine-common-3.4.3.drv
/gnu/store/4kan2qn6n7qnsiirrpmkx2f0p8qv9sf9-php-doctrine-common-3.4.3

Another one, php-symfony-console can be build when tests for its
dependency on php-symfony-error-handler are skipped:

(~/devel/guix) λ ./pre-inst-env guix build --without-tests=php-symfony-error-handler php-symfony-console
successfully built /gnu/store/9bl3c2m2rsv9qqn0n4pcxxhhgmpygr9p-php-symfony-console-6.3.2.drv
/gnu/store/wgsqpj2qgxmjp6zv8rnmy55r07c47hvx-php-symfony-console-6.3.2

for php-symfony-error-handler only one out of 5 tests fail, and the one
failing test seems to fail because it throws a deprecation warning which
isn't expected, it could probably be skipped for now, the affected test
is:

/tmp/guix-build-php-symfony-error-handler-6.0.19.drv-0/source/Tests/phpt/fatal_with_nested_handlers.phpt

I don't know how feasible it is to invest time in testing other packages
from this patch series (maybe nudging ci.guix.gnu.org into doing this
could be beneficial here?), but as phpunit works it could very well be
that the series is mostly fine?

-- 
Kind regards,

Wilko Meyer
[email-masked]